Apache JMeter

## org.apache.jmeter.engine.util
Interface ConfigMergabilityIndicator

All Known Implementing Classes:
  AbstractSampler, AccessLogSampler, AjpSampler, BaseJMSSampler, BeanShellSampler, BSFSampler, DebugSampler, Example1, Example2, Example3, ExampleSampler, FTPSampler, HTTPSampler, HTTPSampler2, HTTPSamplerBase, HTTPSamplerProxy, JavaSampler, JDBCSampler, JMSSampler, JSR223Sampler, JUnitSampler, LDAPExtSampler, LDAPSampler, MailReaderSampler, PublisherSampler, SmtpSampler, SoapSampler, SubscriberSampler, SystemSampler, TCPSampler, TestAction, TransactionSampler, WebServiceSampler

    public interface ConfigMergabilityIndicator

Interface that gives a hint about the merge policy to apply between Samplers and Config elements

Since:
  2.7
See Also:
  `TestCompiler.configureWithConfigElements(org.apache.jmeter.samplers.Sampler, java.util.List<org.apache.jmeter.config.ConfigTestElement>)`

Method Summary
`boolean` `applies(ConfigTestElement configElement)` Does configElement apply to Sampler

Method Detail

### applies

    boolean applies(ConfigTestElement configElement)

  Does configElement apply to Sampler

  Parameters:
    `configElement` - `ConfigTestElement`
  Returns:
    boolean

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.